CVE-2008-0225

NameCVE-2008-0225
DescriptionHeap-based buffer overflow in the rmff_dump_cont function in input/libreal/rmff.c in xine-lib 1.1.9 and earlier allows remote attackers to execute arbitrary code via the SDP Abstract attribute in an RTSP session, related to the rmff_dump_header function and related to disregarding the max field. NOTE: some of these details are obtained from third party information.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, GitHub code/issues, web search, more)
ReferencesDSA-1472-1, DTSA-109-1
NVD severitymedium (attack range: remote)
Debian Bugs460551

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
xine-lib (PTS)wheezy1.1.21-1+deb7u1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
xine-libsource(unstable)1.1.10-1medium460551
xine-libsourceetch1.1.2+dfsg-5mediumDSA-1472-1
xine-libsourcelenny1.1.8-3+lenny1mediumDTSA-109-1
xine-libsourcesarge1.0.1-1sarge6mediumDSA-1472-1

Search for package or bug name: Reporting problems